source: ocsinventory-agent/trunk/fuentes/debian/patches/no-ExtUtils-Installed.diff @ 468

Last change on this file since 468 was 468, checked in by mabarracus, 5 years ago

Copyt trusty code

File size: 752 bytes
  • lib/Ocsinventory/Agent/Backend.pm

    old new  
    44no strict 'refs';
    55use warnings;
    66
    7 use ExtUtils::Installed;
    8 
    97sub new {
    108  my (undef, $params) = @_;
    119
     
    8886  # devlib enable, I only search for backend module in ./lib
    8987    push (@dirToScan, './lib');
    9088  } else {
    91     my ($inst) = ExtUtils::Installed->new();
    92 
    93     eval {@installed_files =
    94       $inst->files('Ocsinventory')};
    95 
    96 # ExtUtils::Installed is nice but it needs properly installed package with
    97 # .packlist
    98 # This is a workaround for 'invalide' installations...
    9989    foreach (@INC) {
    10090      next if ! -d || (-l && -d readlink) || /^(\.|lib)$/;
    10191      push @dirToScan, $_;
Note: See TracBrowser for help on using the repository browser.